/**
 * This file is loaded on the front end of the site ONLY.  
 */

/* Prevent side scroll
Added back due to Kadence Header issue.  Remove if Kadence fixes issue. */
body {
    overflow-x: hidden;
}

/* Border-Box issue */
*,:after,:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/* Virtue style needed for longer text strings */
p {
    overflow-wrap: break-word;
}

/* Make Font size in sidebar smaller */
.ums-sidebar-area {
    font-size: 87.5%;
}

/* Limit featured image height to account for legacy featured images */
.hero-featured-img img {
    max-height: 450px;
}

/* Footer links */
.area-footer {
    a:where(:not(.wp-element-button)) {
        color: white;
        text-decoration: none;
    }
    a:where(:not(.wp-element-button)):hover {
        text-decoration: underline;
        color: var(--wp--preset--color--accent-3);
    }
}

/* Style prev/next buttons on posts */
.single-post .wp-block-post-navigation-link a {
    text-decoration: none;
    padding: 8px 12px;
    background-color: var(--wp--preset--color--gray-3);
    transition: background .6s ease-out;
    -webkit-transition: background .6s ease-out;
}

.single-post .wp-block-post-navigation-link a:hover {
    background-color: var(--wp--preset--color--brand-1);
    color: var(--wp--preset--color--base);
}

/** UMS Alerter CSS **/
.ums-announcement-wrapper {
    padding: 1.2em;
    max-width: 1600px;
    margin: 0 auto;
    font-size: 1.2em;
    overflow: hidden;
}

.ums-announcement-content .ums-announcement-title-date {
    display: none;
    visibility: hidden;
}

.ums-announcement {
    background-color: rgb(251, 216, 116);
    color: black;
    font-weight: 400;
    padding: 0;
    z-index: 999;
    width: 100%;
}

.ums-announcement-content {
    padding: 0;
    p {
        display: block;
        text-align: left;
        margin: 0 0 0 1.2em
    }
}

/** END UMS Alerter CSS **/

/* Strategic Procurement Table Styles */
.ums-procurement-table {
    overflow-x: scroll;

    table {
        border-spacing: 0;
    }
    th {
        background-color: var(--wp--preset--color--gray-5);
        text-align: left;
        padding: 10px;
    }
    td {
        padding: 10px;
    }
    tr:nth-child(even) {
        background-color: var(--wp--preset--color--gray-3);
    }
}

/* UMS PeopleSearch form styles */
.ums_people_search {
    label {
        display: block;
    }
    select {
        height: 40px;
        font-size: 15px;
        padding: 5px;
    }
}

/* UMS Academic Program Search form styles */
#aps_form {
    label {
        font-weight: bold;
    }
}

/* Search */

.search, .search-no-results {

    .gsc-control-cse .gs-result .gs-title *, .gsc-table-result {
        font-size: 110% !important;
    }

    .gsc-webResult.gsc-result, .gsc-result-info {
        padding-left: 0;
    }

    .gs-snippet {
        padding: 8px 0;
    }

    .gsc-above-wrapper-area, .gsc-wrapper, .gsc-refinementsArea {
        max-width: 1000px;
    }


    .gcsc-more-maybe-branding-root {
        display: none;
        visibility: hidden;
    }

    .gsc-cursor-box.gs-bidi-start-align div.gsc-cursor-page {
        padding: 6px 12px;
        font-size: 12px;
        font-weight: 700;
        margin: 4px;
        display: inline-block;
        border: 2px solid rgba(0,0,0,.05);
        -webkit-transition: border .2s ease-in-out;
        -moz-transition: border .2s ease-in-out;
        -o-transition: border .2s ease-in-out;
        transition: border .2s ease-in-out;
        background-color: white;
        color: #626161;
        text-decoration: none;
    }

    .gsc-cursor-box.gs-bidi-start-align div.gsc-cursor-page:hover {
        border: 2px solid;
    }

    .gsc-cursor-page.gsc-cursor-current-page {
        background: rgba(0, 0, 0, .05) !important;
    }

    .gsc-control-cse {
        padding: unset;
    }

}

/* Fixes for Students page "I am A..." dropdown menu */
/* Make dropdown menu fullwidth to match select field */
.student-page-iaa-menu-wrapper {
    .kb-nav-sub-menu, .kb-nav-link-content {
        width: 100% !important;
    }
}

/* Fix focus styles on pagination for Kadence Gallery */
.kt-blocks-carousel .splide__pagination button[role="tab"]:focus {
    outline: 1px solid black;
}

/* Tribe Styles */
.ums-single-event-container {
    #tribe-events-pg-template {
        max-width: unset;
    }
    .tribe-events-notices,
    .tribe-events-schedule {
        display: none;
        visibility: hidden;
    }
    .tribe-events-event-meta {
        font-size: 15px;
    }
    .tribe-events-single-section {
        width: 100%;
    }
    .tribe-events-meta-group,
    .tribe-events-venue-map {
        width: 50%;
        height: auto;
        padding: 25px;
        margin: 12px;
        background-color: #eaeaea;
        border-radius: 8px;
        flex: 1 0 40%;
    }
    .tribe-events-event-meta:before {
        border-top: 0;
    }
    .tribe-events-single-section-title {
        font-size: 24px;
        line-height: 48px;
        margin-top: 0;
    }
    .tribe-events-meta-list a {
        text-decoration: none;
    }
    .tribe-events-meta-label, .tec-events-pro-series-meta-detail--label, .tribe-events-meta-item {
        margin-top: 20px;
    }
}

.ums-single-organizer-container {
    .tribe-events-header br,
    .tribe-events-calendar-list-nav br,
    .tribe-events-calendar-list br,
    .tribe-events-c-subscribe-dropdown br,
    .tribe-events-calendar-latest-past br {
        display:none;
        visibility: hidden;
    }
    .tribe-common-l-container {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }
    .ums-organizer-title {
        padding-left: var(--tec-grid-gutter-page);
        padding-right: var(--tec-grid-gutter-page);
    }
    .tribe-events-header__title-text {
        display: none;
        visibility: hidden;
    }
    .tribe-events-header__messages {
        width: 100% !important;
        margin-bottom: 75px !important;
    }
}
@media (max-width: 832px) {
    .ums-single-organizer-container .ums-organizer-titles {
        padding-left: unset;
        padding-right: unset;
    }
}

@media (max-width: 992px) {
    .ums-single-event-container {
        .tribe-events-meta-group,
        .tribe-events-venue-map {
            width: 100%;
            flex: unset;
            margin-bottom: 24px;
        }
        .tribe-events-venue-map {
            order: 2;
        }
    }
}

@media (max-width: 719px) {
    /* Make fullwidth for mobile devices */
    .student-page-iaa-menu-wrapper {
        .menu-container, .kb-navigation, .menu-item-has-children {
            width: 100%;
        }
    }
}
/* When a top-level element is set to wide-width, make sure it fills the whole screen when screen is narrower than 1800px.
   This is a workaround for the global root padding. */
@media (max-width: 1800px) {
    .entry-content.has-global-padding > .alignwide {
        margin-left: calc(var(--wp--style--root--padding-left) * -1) !important;
        margin-right: calc(var(--wp--style--root--padding-right) * -1) !important;
    }
}


